<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>サンプルテンプレート</title>
    <meta name="description" content="サンプルテンプレート">
    <meta name="keywords" content="レストラン,フレンチ,原宿">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link href="css/reset.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="js/jquery.js"></script>
</head>
<body>
	
	
<?php
	
	//セッションをスタートさせます。
	//セッションとは一時的にデータを保存していく機能です。
	//変数は画面遷移するとデータが破棄されますが、セッションは破棄されません。
	//Cookieのようなものですが、意味合いは異なります。
	//セッションの役割とCookieとの違いはまた別途説明します。
	session_start();
	
	//データベースの情報を読み込みます。
	require_once "functions/db.php";
	
	if ($_SERVER['REQUEST_METHOD'] === 'POST') {
			
		//メールアドレスとパスワードを受け取ります。
		$mail = htmlspecialchars($_POST['mail'], ENT_QUOTES);
		$password = htmlspecialchars($_POST['password'], ENT_QUOTES);
			
		//メールアドレスバリデーションチェックの関数です。
		//問題なければtrueが返され、何か問題があればfalseが返されます。
		function mailcheck($mail){
			if(preg_match('/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/iD', $mail)){
			     return 'true';
			}else{
			     return 'false';
			}
		};
			
		//メールアドレスが空じゃなかったら、、
		if(!empty($mail)){
			//バリデーションチェックを実行。
			$mailresult = mailcheck($mail);
		}else{
			//空だったら$mailresultにfalseを入力。
			$mailresult = "false";
		};
			
		//メールアドレスに特に問題なければ、、、
		if($mailresult == "true"){
			
			//データベースからメールアドレスを起点にデータを呼び出します。
			$userdataEdit = "select * from userdata where mail = '".$mail."' order by id DESC"; 
			$userdataEdit = mysqli_query($mysqli,$userdataEdit);
			
			//ユーザーのデータを呼び出していきます。
			while ($userdataEditArray = mysqli_fetch_assoc($userdataEdit)) {
				$userid = $userdataEditArray["id"];
				$name = $userdataEditArray["name"];
				$age = $userdataEditArray["age"];
				$skill = $userdataEditArray["skill"];
				$mail = $userdataEditArray["mail"];
				$hashpass = $userdataEditArray["password"];
			};
		};
			
		//入力されたパスワードと暗号化されたパスワードを比較。
		if(password_verify($_POST['password'], $hashpass)){
			//もし一致したら、trueを返します。
			$passresult = "true";
		}else{
			//一致しなければ、falseを返します。
			$passresult = "false";
		};
			
		//メールアドレスとパスワード、ともに問題なければ、、
		if($mailresult!=="false"&&$passresult!=="false"){
			//セッションにtrueを入れてログイン済みの印を残します。
			//セッションにtrueが保存されていればログイン済み、という意味です。
			$_SESSION["login_pass"] = "true";
			//よく利用するuseridも別のセッションに保存しておきましょう。
			$_SESSION["userid"] = $userid;
			//ログインが成功したら、ログイン完了メッセージと名前を表示。
			echo $name."さんログイン完了<br>";
		};
				    
	};
	    
?>
	
<div style="padding-bottom:15px;">
	<a href="https://base91.net/mission/php/9/">新規登録</a>
</div>

<h1>ログインフォーム</h1>
<form method="post" action="">	
	<input type="text" name="mail" placeholder="メールアドレス" value="<?php echo $mail; ?>" /><br/>
	<!--もし$mailresultがfalseの場合はエラー表示。-->
	<?php if($mailresult == "false"){echo "メールアドレスにエラーがあります。<br/>";}; ?>
	<input type="password" name="password" placeholder="パスワード" value="" /><br/>
	<!--もし$passresultがfalseの場合はエラー表示。-->
	<?php if($passresult == "false"){echo "パスワードにエラーがあります。<br/>";}; ?>
	<input type="submit" name="loginBtn" value="ログイン" />
</form>
	
	
</body>
</html>